---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/07_Cantellos_shop/Comics/Cantello/"
---------------------------------------------------------------------------------------
createCompositionLips_1_Dvij_ = nil
---------------------------------------------------------------------------------------
createCompositionLips_1_Dvij_ = function()
	local compositionLips_1_Dvij_ = CreateCompositionSequence()
	local compositionDuration = 8.5
	compositionLips_1_Dvij_:setDuration(compositionDuration)
	compositionLips_1_Dvij_:setName("compositionLips_1_Dvij_" )
	compositionLips_1_Dvij_:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer Head_1c.png/1
	element = CreateCompositionElement(PREFIX_PATH.."Head_1c.png")
	element:setName("Head_1c.png/1")
	compositionLips_1_Dvij_:addElement(element)
	element:setHotSpot(75, 151)
	compositionLips_1_Dvij_:registerParentInfo("Head_1c.png/1", "Telo_1c.png/4")
	element:setXY(163, 36)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8.5)
	effector:setKey(_TRACK_A, 1, 0)
	effector:setKey(_TRACK_A, 1.45833333333333, 0.034906585)
	effector:setKey(_TRACK_A, 3.375, 0.034906585)
	effector:setKey(_TRACK_A, 4, 0)
	effector:setKey(_TRACK_A, 5.16666666666667, 0)
	effector:setKey(_TRACK_A, 5.70833333333333, -0.034906585)
	effector:setKey(_TRACK_A, 6.91666666666667, -0.034906585)
	effector:setKey(_TRACK_A, 7.5, 0)
	effector:play()
 
 
	-- Layer R_Ruka_1c.png/2
	element = CreateCompositionElement(PREFIX_PATH.."R_Ruka_1c.png")
	element:setName("R_Ruka_1c.png/2")
	compositionLips_1_Dvij_:addElement(element)
	element:setHotSpot(46, 26)
	compositionLips_1_Dvij_:registerParentInfo("R_Ruka_1c.png/2", "Telo_1c.png/4")
	element:setXY(40, 104)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8.5)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.875, -0.0132157785792)
	effector:setKey(_TRACK_A, 1.75, 0)
	effector:setKey(_TRACK_A, 2.625, -0.0132157785792)
	effector:setKey(_TRACK_A, 3.5, 0)
	effector:setKey(_TRACK_A, 4.375, -0.0132157785792)
	effector:setKey(_TRACK_A, 5.20833333333333, 0)
	effector:setKey(_TRACK_A, 6.08333333333333, -0.0132157785792)
	effector:setKey(_TRACK_A, 6.91666666666667, 0)
	effector:setKey(_TRACK_A, 7.66666666666667, -0.0132157785792)
	effector:setKey(_TRACK_A, 8.45833333333333, 0)
	effector:play()
 
 
	-- Layer Telo_2c.png/3
	element = CreateCompositionElement(PREFIX_PATH.."Telo_2c.png")
	element:setName("Telo_2c.png/3")
	compositionLips_1_Dvij_:addElement(element)
	element:setHotSpot(171, 260)
	compositionLips_1_Dvij_:registerParentInfo("Telo_2c.png/3", "Telo_1c.png/4")
	element:setXY(171, 260)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8.5)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 0.875, 1)
	effector:setKey(_TRACK_O, 1.75, 0)
	effector:setKey(_TRACK_O, 2.625, 1)
	effector:setKey(_TRACK_O, 3.5, 0)
	effector:setKey(_TRACK_O, 4.375, 1)
	effector:setKey(_TRACK_O, 5.20833333333333, 0)
	effector:setKey(_TRACK_O, 6.08333333333333, 1)
	effector:setKey(_TRACK_O, 6.91666666666667, 0)
	effector:setKey(_TRACK_O, 7.66666666666667, 1)
	effector:setKey(_TRACK_O, 8.45833333333333, 0)
	effector:play()
 
 
	-- Layer Telo_1c.png/4
	element = CreateCompositionElement(PREFIX_PATH.."Telo_1c.png")
	element:setName("Telo_1c.png/4")
	compositionLips_1_Dvij_:addElement(element)
	element:setHotSpot(171, 321)
	element:setParentElement(compositionLips_1_Dvij_)
	element:setXY(1059, 461)
 
	element:setScale(-1,1)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8.5)
	effector:play()
 
 
	-- Layer L_Ple4e_1c.png/5
	element = CreateCompositionElement(PREFIX_PATH.."L_Ple4e_1c.png")
	element:setName("L_Ple4e_1c.png/5")
	compositionLips_1_Dvij_:addElement(element)
	element:setHotSpot(20, 16)
	compositionLips_1_Dvij_:registerParentInfo("L_Ple4e_1c.png/5", "Telo_1c.png/4")
	element:setXY(273, 82)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8.5)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.875, 1)
	effector:setKey(_TRACK_SY, 0.875, 0.98131510333045)
	effector:setKey(_TRACK_SX, 1.75, 1)
	effector:setKey(_TRACK_SY, 1.75, 1)
	effector:setKey(_TRACK_SX, 2.625, 1)
	effector:setKey(_TRACK_SY, 2.625, 0.98131510333045)
	effector:setKey(_TRACK_SX, 3.5, 1)
	effector:setKey(_TRACK_SY, 3.5, 1)
	effector:setKey(_TRACK_SX, 4.375, 1)
	effector:setKey(_TRACK_SY, 4.375, 0.98131510333045)
	effector:setKey(_TRACK_SX, 5.20833333333333, 1)
	effector:setKey(_TRACK_SY, 5.20833333333333, 1)
	effector:setKey(_TRACK_SX, 6.08333333333333, 1)
	effector:setKey(_TRACK_SY, 6.08333333333333, 0.98131510333045)
	effector:setKey(_TRACK_SX, 6.91666666666667, 1)
	effector:setKey(_TRACK_SY, 6.91666666666667, 1)
	effector:setKey(_TRACK_SX, 7.66666666666667, 1)
	effector:setKey(_TRACK_SY, 7.66666666666667, 0.98131510333045)
	effector:setKey(_TRACK_SX, 8.45833333333333, 1)
	effector:setKey(_TRACK_SY, 8.45833333333333, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.875, -0.00506531889039)
	effector:setKey(_TRACK_A, 1.75, 0)
	effector:setKey(_TRACK_A, 2.625, -0.00506531889039)
	effector:setKey(_TRACK_A, 3.5, 0)
	effector:setKey(_TRACK_A, 4.375, -0.00506531889039)
	effector:setKey(_TRACK_A, 5.20833333333333, 0)
	effector:setKey(_TRACK_A, 6.08333333333333, -0.00506531889039)
	effector:setKey(_TRACK_A, 6.91666666666667, 0)
	effector:setKey(_TRACK_A, 7.66666666666667, -0.00506531889039)
	effector:setKey(_TRACK_A, 8.45833333333333, 0)
	effector:play()
 
	compositionLips_1_Dvij_:play()
 
	return compositionLips_1_Dvij_
end
 
